# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.0.0-build.36](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.35...v1.0.0-build.36) (2022-06-08)


### Bug Fixes

* 键盘操作时让操作栏隐藏；兼容 iPad 键盘无法粘贴问题、增强安卓平板下才可进入编辑状态 ([c0848dc](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/c0848dcd125e56dd8680f1c34e6eef2891760d6e))

## [1.0.0-build.35](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.34...v1.0.0-build.35) (2022-06-02)


### Features

* 新增APP无法识别的键值作为可编辑状态 ([ae23ef7](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ae23ef7cda8c209af2ed72947eec4d23e18d4816))


### Bug Fixes

* 修复keyBinds this丢失问题 ([dadff42](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/dadff421e5e9503a002aa7d9fc3b516856fa72a2))

## [1.0.0-build.34](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.33...v1.0.0-build.34) (2022-06-02)


### Features

* 新增物理键盘可设置以及中途可切换等 ([d337e57](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/d337e57ec589dc112d24c64f543a787144f79041))


### Bug Fixes

* 缩略图获取签名逻辑优化 ([3c3d347](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/3c3d347c44d7974bdd9d439a819e787ab9baee4e))

## [1.0.0-build.33](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.32...v1.0.0-build.33) (2022-05-30)

## [1.0.0-build.32](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.31...v1.0.0-build.32) (2022-05-30)

## 1.0.0-build.31 (2022-05-30)


### Features

* init ([47033b1](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/47033b1244022e2966d254642305ff1f9eccf648))
* ios 键盘起后处理 ([30a651d](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/30a651dbbf1673ede8832bcf07e56f6405c8648d))
* OSS自动保存提示 ([da44792](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/da447923b10c9d9f70843f0de30cdf1eac03d206))
* websocket token 缓存两小时 ([9a86240](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/9a8624031760fc0f2e09d242fa21df1494a4f8d9))
* 主动保存时不再验证签名过期 ([ce13b5c](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ce13b5c8ac1feec5afbde4937ae11c967a8d7611))
* 作图区、大纲等首次修改文件名称 ([133e2f7](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/133e2f714b153862a10d8a651bb7a94add436cc0))
* 协作功能 ([544ba84](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/544ba84efd7bc6549d906644fbdf8bb53d41f3cf))
* 协作大纲接口 ([d098c94](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/d098c94f99e24d8951486e09ff42039a6a246065))
* 协作编辑事件 ([8f33476](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8f334763e8590ef21005f9b127f966184a5cd6ae))
* 只读模式及OSS 保存 ([a00e648](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a00e648627148c4726700c50106584d9b1384afe))
* 同步大纲拖拽底层内容 ([4ad4c7f](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4ad4c7f283a0023e7c2292a89285aa7e663c0099))
* 增加无文件权限消息 ([644308b](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/644308b87b020baea705913be3648a1300e7ce42))
* 增加查询脑图状态接口 ([19a3bff](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/19a3bff70d696a76f5eca471f4c2ff7f3f90b9db))
* 增加状态变更调用 ([d1d5337](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/d1d5337efcff8ae6654c7a58752fcddd4443277d))
* 增量概要协作适配处理 ([0bfb12f](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/0bfb12f06b38de83be79ea6bb3d9b99fa57473fa))
* 大纲事件注册 ([5e9df26](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/5e9df261094648681e566c2d996a38ada3c01e60))
* 强制重连websocket 接口 ([77eeb0a](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/77eeb0a4aef885a2424861c395a5b5d844e31d7a))
* 打开选中节点自动焦点功能 ([27393e3](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/27393e3921b695115773ade45851ec5396f1000f))
* 放开导出docx等文件 ([1f5c78a](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/1f5c78aaf8a25a2d55c15fdfff4c8b3ed956b03a))
* 断线后可以编辑 ([ef50b19](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ef50b19d5e1cb9793180b557345f8352f2b51b08))
* 断线状态切换 ([e175d26](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/e175d264954d50f4d229897442505063770d4a65))
* 新增最新数据接口 ([14d12b2](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/14d12b22e5acc01661a930707843793ccb2aa37c))
* 新手绘风格及自由拖动节点位置 ([fe4ab28](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/fe4ab28ef8709d4c9e9ef89173c8bf14fe5d5db9))
* 更新开关逻辑 ([04ddba4](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/04ddba4dd854c8ef5ca9e75137a767c11cc4f620))
* 样式继承 ([a74e75e](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a74e75e6e552907ffabc12145ce6698a239a5eeb))
* 根据不同层级的节点，对同级，子级，复制，粘贴等按钮进行置灰处理 ([913fad7](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/913fad7eca4e85abf0018688d58b9929b688d6e2))
* 添加事件 getTemplate、删除无用mode、删除同级下级menu ([19cf4bd](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/19cf4bde6edf7f756080ca9dab04302e617c7ef4))
* 添加同步20s超时文字 ([bdb59f1](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/bdb59f129edde29422246df514dfcee31c5059de))
* 添加复制、粘贴命令 ([23665f3](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/23665f31f78a0eaf56b4239cead0d0703e40b3f9))
* 生成缩略图 ([5dd1d69](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/5dd1d6930fbca66e22592c4eaf59c8863b936f94))
* 移除websocket最大重连次数 ([cb27d5d](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/cb27d5d70cf5bb7c190bf2ac477b844103f6dc91))
* 自动备份OSS功能 ([f428f14](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/f428f145cdceac1c4011713455fa05a3d723de23))
* 输入位置处理，导出参数 ([08fd229](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/08fd2298735c436d0c0053d4cf4ab595ba839ddc))
* 输入光标可视区计算 ([08f210c](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/08f210c2241e931d444e444aaec4648e1bad93fa))
* 配置开关 ([9af8b97](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/9af8b972f08ef90f5b97f7260ffed5a8329e7831))


### Bug Fixes

* IDl转换兼容关联线使用的节点ID ([046d6c7](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/046d6c70310e671e754b80b6d1a2f2df8614e3ba))
* i要先统计概要节点替换才有效 ([8cbcbe4](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8cbcbe498ab3465376639ad7d3647662dabab5e1))
* OSS 数据节点ID兼容处理 ([a833e16](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a833e16cf623f0eb9896db4c4dac27dcfffc584f))
* OSS 来源数据ID重写 ([1994452](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/199445227308881a66eda5a0227229701b26d75c))
* OSS签名过期使用本地时间 ([ba58ee3](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ba58ee38b5ca7dc51ce5ddb5a2c23fdc4db7b7d6))
* update attachments ([969ecbe](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/969ecbea5751ad79aa40e2e69193c8edd2505e59))
* uuid miss ([df4032f](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/df4032f19c7c02f482ebd76adf170d5cdaf68855))
* 中心主题重命名长度限制 ([b92465e](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/b92465e5d0e39c5fdee5224ddb014c14ea5ba13c))
* 修复复制粘贴等没有历史记录、增强APP底部操作栏是否显示逻辑 ([58b80ed](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/58b80ed6fa7fdbf0236d15dd96f9fe4500246c52))
* 关联级编辑无法撤回问题 ([bec874d](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/bec874d57d761e737e06b3fba08063cb48f8e53d))
* 判断IOS时保留同级、下级menu ([19a7a1f](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/19a7a1fdc0340b02f00b0b6851bcc7033ac7ca5b))
* 协作数据Id转字符 ([2ac4773](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/2ac4773ecd809355f7c67c958be406f91481e652))
* 协作数据中的数字ID使用前转字符 ([014d8ac](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/014d8ac84df99e4d49f9fb0ee7589af081a71652))
* 只读不实时同步操作问题 ([ea41624](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ea416246692d8c42eb8fd7268d5e2f3fd8a27a58))
* 圆圈图和气泡图，自由节点不能拖动 ([f0b1b8f](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/f0b1b8fec3e0e9080e6516d0f0b0ef60aa50e172))
* 增加图片后需要同步attachments ([4aed87e](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4aed87ecfdbbea9ac8378f0216621140881e428a))
* 大纲编辑无法撤消问题 ([9cf0160](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/9cf016050ce725e14c9ba3671889187b96cdf2a2))
* 导出失败问题 ([141f452](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/141f452b222730ea299a7b1548cf3023f5f90f73))
* 手动保存时立即生成缩略图 ([53662bf](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/53662bf9e7d0da6608556a2d0d9f8694da9851fe))
* 数字ID数据需要二次转换兼容处理 ([5a4fdba](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/5a4fdba40475fc1554997917f5f1eda057ae7225))
* 新增同级或子级节点判断 ([a85a9a2](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a85a9a20f482a8b050e2b952924be6de1eda4b9c))
* 替换同级及子级不显示状态值0为4，保留0为不显示 ([4598f80](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4598f8090ba07ab633292f1e7ea0bd6ff07aa7ca))
* 桥图，双气泡图，因果图新建自由节点错误；由根节点新增节点之后没有同步新增节点状态 ([54c6aee](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/54c6aeeab143072ca35d3ae6c090d876155706d0))
* 移除IOS收起键盘退出编辑逻辑 ([8880dbd](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8880dbd3d61c6f66f85486a8a35765e1239386b8))
* 移除光标自动定位功能 ([8a3d127](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8a3d127bd6834e2def39742072d0e68a8c769107))
* 签名为空的情况处理 ([cc1eb35](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/cc1eb356358a524899cbb86afae617a4afcd748b))
* 编辑menu定位问题 ([4a492cd](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4a492cd96ea1e9c2a560edfe8827e3f3f9faf865))
* 节点ID为数字无法删除问题 ([05c21a3](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/05c21a3cb7179418d493a6d1313068e9a0aa4e91))
* 节点id类型可能为数字的情况 ([b25d835](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/b25d835e83d7918fee2e38ace0740f32fbe56e5f))
* 节点操作menu是否可用处理为是否显示 ([aaa2b71](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/aaa2b716cccd51e2870102203dfacd31a03b7ec3))
* 风格等主题iPad样式问题 ([b8c776c](http://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/b8c776c10917195aeb57bcead373a5b999171b57))

## [1.0.0-build.30](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.19...v1.0.0-build.30) (2022-05-27)


### Features

* 打开选中节点自动焦点功能 ([27393e3](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/27393e3921b695115773ade45851ec5396f1000f))
* 根据不同层级的节点，对同级，子级，复制，粘贴等按钮进行置灰处理 ([913fad7](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/913fad7eca4e85abf0018688d58b9929b688d6e2))
* 生成缩略图 ([5dd1d69](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/5dd1d6930fbca66e22592c4eaf59c8863b936f94))
* 添加同步20s超时文字 ([bdb59f1](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/bdb59f129edde29422246df514dfcee31c5059de))
* 主动保存时不再验证签名过期 ([ce13b5c](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ce13b5c8ac1feec5afbde4937ae11c967a8d7611))


### Bug Fixes

* 编辑menu定位问题 ([4a492cd](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4a492cd96ea1e9c2a560edfe8827e3f3f9faf865))
* 风格等主题iPad样式问题 ([b8c776c](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/b8c776c10917195aeb57bcead373a5b999171b57))
* 节点操作menu是否可用处理为是否显示 ([aaa2b71](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/aaa2b716cccd51e2870102203dfacd31a03b7ec3))
* 手动保存时立即生成缩略图 ([53662bf](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/53662bf9e7d0da6608556a2d0d9f8694da9851fe))
* 替换同级及子级不显示状态值0为4，保留0为不显示 ([4598f80](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4598f8090ba07ab633292f1e7ea0bd6ff07aa7ca))
* 修复复制粘贴等没有历史记录、增强APP底部操作栏是否显示逻辑 ([58b80ed](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/58b80ed6fa7fdbf0236d15dd96f9fe4500246c52))
* 圆圈图和气泡图，自由节点不能拖动 ([f0b1b8f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/f0b1b8fec3e0e9080e6516d0f0b0ef60aa50e172))
* 只读不实时同步操作问题 ([ea41624](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ea416246692d8c42eb8fd7268d5e2f3fd8a27a58))
* 中心主题重命名长度限制 ([b92465e](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/b92465e5d0e39c5fdee5224ddb014c14ea5ba13c))
* OSS签名过期使用本地时间 ([ba58ee3](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ba58ee38b5ca7dc51ce5ddb5a2c23fdc4db7b7d6))

## [1.0.0-build.29](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.28...v1.0.0-build.29) (2022-05-27)

## [1.0.0-build.28](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.27...v1.0.0-build.28) (2022-05-26)


### Bug Fixes

* 风格等主题iPad样式问题 ([b8c776c](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/b8c776c10917195aeb57bcead373a5b999171b57))

## [1.0.0-build.27](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.26...v1.0.0-build.27) (2022-05-24)


### Features

* 添加同步20s超时文字 ([bdb59f1](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/bdb59f129edde29422246df514dfcee31c5059de))


### Bug Fixes

* 手动保存时立即生成缩略图 ([53662bf](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/53662bf9e7d0da6608556a2d0d9f8694da9851fe))

## [1.0.0-build.26](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.25...v1.0.0-build.26) (2022-05-23)

## [1.0.0-build.25](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.24...v1.0.0-build.25) (2022-05-23)


### Bug Fixes

* 中心主题重命名长度限制 ([b92465e](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/b92465e5d0e39c5fdee5224ddb014c14ea5ba13c))

## [1.0.0-build.24](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.23...v1.0.0-build.24) (2022-05-23)


### Features

* 打开选中节点自动焦点功能 ([27393e3](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/27393e3921b695115773ade45851ec5396f1000f))
* 生成缩略图 ([5dd1d69](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/5dd1d6930fbca66e22592c4eaf59c8863b936f94))

## [1.0.0-build.23](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.22...v1.0.0-build.23) (2022-05-12)


### Bug Fixes

* 只读不实时同步操作问题 ([ea41624](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ea416246692d8c42eb8fd7268d5e2f3fd8a27a58))

## [1.0.0-build.22](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.21...v1.0.0-build.22) (2022-05-12)


### Bug Fixes

* 编辑menu定位问题 ([4a492cd](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4a492cd96ea1e9c2a560edfe8827e3f3f9faf865))
* 替换同级及子级不显示状态值0为4，保留0为不显示 ([4598f80](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4598f8090ba07ab633292f1e7ea0bd6ff07aa7ca))
* 修复复制粘贴等没有历史记录、增强APP底部操作栏是否显示逻辑 ([58b80ed](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/58b80ed6fa7fdbf0236d15dd96f9fe4500246c52))

## [1.0.0-build.21](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.20...v1.0.0-build.21) (2022-05-11)


### Bug Fixes

* 节点操作menu是否可用处理为是否显示 ([aaa2b71](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/aaa2b716cccd51e2870102203dfacd31a03b7ec3))
* 圆圈图和气泡图，自由节点不能拖动 ([f0b1b8f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/f0b1b8fec3e0e9080e6516d0f0b0ef60aa50e172))

## [1.0.0-build.20](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.18...v1.0.0-build.20) (2022-05-11)


### Features

* 根据不同层级的节点，对同级，子级，复制，粘贴等按钮进行置灰处理 ([913fad7](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/913fad7eca4e85abf0018688d58b9929b688d6e2))
* 增加查询脑图状态接口 ([19a3bff](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/19a3bff70d696a76f5eca471f4c2ff7f3f90b9db))
* 增加无文件权限消息 ([644308b](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/644308b87b020baea705913be3648a1300e7ce42))

## [1.0.0-build.19](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.15...v1.0.0-build.19) (2022-05-11)


### Features

* 添加复制、粘贴命令 ([23665f3](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/23665f31f78a0eaf56b4239cead0d0703e40b3f9))
* 添加事件 getTemplate、删除无用mode、删除同级下级menu ([19cf4bd](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/19cf4bde6edf7f756080ca9dab04302e617c7ef4))
* 增加查询脑图状态接口 ([19a3bff](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/19a3bff70d696a76f5eca471f4c2ff7f3f90b9db))
* 增加无文件权限消息 ([644308b](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/644308b87b020baea705913be3648a1300e7ce42))


### Bug Fixes

* 判断IOS时保留同级、下级menu ([19a7a1f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/19a7a1fdc0340b02f00b0b6851bcc7033ac7ca5b))
* 桥图，双气泡图，因果图新建自由节点错误；由根节点新增节点之后没有同步新增节点状态 ([54c6aee](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/54c6aeeab143072ca35d3ae6c090d876155706d0))
* 移除IOS收起键盘退出编辑逻辑 ([8880dbd](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8880dbd3d61c6f66f85486a8a35765e1239386b8))

## [1.0.0-build.18](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.17...v1.0.0-build.18) (2022-05-10)


### Bug Fixes

* 判断IOS时保留同级、下级menu ([19a7a1f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/19a7a1fdc0340b02f00b0b6851bcc7033ac7ca5b))
* 桥图，双气泡图，因果图新建自由节点错误；由根节点新增节点之后没有同步新增节点状态 ([54c6aee](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/54c6aeeab143072ca35d3ae6c090d876155706d0))
* 移除IOS收起键盘退出编辑逻辑 ([8880dbd](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8880dbd3d61c6f66f85486a8a35765e1239386b8))

## [1.0.0-build.17](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.16...v1.0.0-build.17) (2022-05-07)

## 1.0.0-build.16 (2022-05-07)


### Features

* 大纲事件注册 ([5e9df26](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/5e9df261094648681e566c2d996a38ada3c01e60))
* 断线后可以编辑 ([ef50b19](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ef50b19d5e1cb9793180b557345f8352f2b51b08))
* 断线状态切换 ([e175d26](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/e175d264954d50f4d229897442505063770d4a65))
* 放开导出docx等文件 ([1f5c78a](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/1f5c78aaf8a25a2d55c15fdfff4c8b3ed956b03a))
* 更新开关逻辑 ([04ddba4](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/04ddba4dd854c8ef5ca9e75137a767c11cc4f620))
* 配置开关 ([9af8b97](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/9af8b972f08ef90f5b97f7260ffed5a8329e7831))
* 强制重连websocket 接口 ([77eeb0a](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/77eeb0a4aef885a2424861c395a5b5d844e31d7a))
* 输入光标可视区计算 ([08f210c](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/08f210c2241e931d444e444aaec4648e1bad93fa))
* 输入位置处理，导出参数 ([08fd229](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/08fd2298735c436d0c0053d4cf4ab595ba839ddc))
* 添加复制、粘贴命令 ([23665f3](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/23665f31f78a0eaf56b4239cead0d0703e40b3f9))
* 添加事件 getTemplate、删除无用mode、删除同级下级menu ([19cf4bd](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/19cf4bde6edf7f756080ca9dab04302e617c7ef4))
* 同步大纲拖拽底层内容 ([4ad4c7f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4ad4c7f283a0023e7c2292a89285aa7e663c0099))
* 协作编辑事件 ([8f33476](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8f334763e8590ef21005f9b127f966184a5cd6ae))
* 协作大纲接口 ([d098c94](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/d098c94f99e24d8951486e09ff42039a6a246065))
* 协作功能 ([544ba84](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/544ba84efd7bc6549d906644fbdf8bb53d41f3cf))
* 新手绘风格及自由拖动节点位置 ([fe4ab28](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/fe4ab28ef8709d4c9e9ef89173c8bf14fe5d5db9))
* 新增最新数据接口 ([14d12b2](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/14d12b22e5acc01661a930707843793ccb2aa37c))
* 样式继承 ([a74e75e](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a74e75e6e552907ffabc12145ce6698a239a5eeb))
* 移除websocket最大重连次数 ([cb27d5d](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/cb27d5d70cf5bb7c190bf2ac477b844103f6dc91))
* 增加状态变更调用 ([d1d5337](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/d1d5337efcff8ae6654c7a58752fcddd4443277d))
* 增量概要协作适配处理 ([0bfb12f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/0bfb12f06b38de83be79ea6bb3d9b99fa57473fa))
* 只读模式及OSS 保存 ([a00e648](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a00e648627148c4726700c50106584d9b1384afe))
* 自动备份OSS功能 ([f428f14](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/f428f145cdceac1c4011713455fa05a3d723de23))
* 作图区、大纲等首次修改文件名称 ([133e2f7](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/133e2f714b153862a10d8a651bb7a94add436cc0))
* init ([47033b1](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/47033b1244022e2966d254642305ff1f9eccf648))
* ios 键盘起后处理 ([30a651d](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/30a651dbbf1673ede8832bcf07e56f6405c8648d))
* OSS自动保存提示 ([da44792](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/da447923b10c9d9f70843f0de30cdf1eac03d206))
* websocket token 缓存两小时 ([9a86240](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/9a8624031760fc0f2e09d242fa21df1494a4f8d9))


### Bug Fixes

* 大纲编辑无法撤消问题 ([9cf0160](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/9cf016050ce725e14c9ba3671889187b96cdf2a2))
* 导出失败问题 ([141f452](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/141f452b222730ea299a7b1548cf3023f5f90f73))
* 关联级编辑无法撤回问题 ([bec874d](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/bec874d57d761e737e06b3fba08063cb48f8e53d))
* 节点id类型可能为数字的情况 ([b25d835](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/b25d835e83d7918fee2e38ace0740f32fbe56e5f))
* 节点ID为数字无法删除问题 ([05c21a3](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/05c21a3cb7179418d493a6d1313068e9a0aa4e91))
* 数字ID数据需要二次转换兼容处理 ([5a4fdba](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/5a4fdba40475fc1554997917f5f1eda057ae7225))
* 协作数据中的数字ID使用前转字符 ([014d8ac](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/014d8ac84df99e4d49f9fb0ee7589af081a71652))
* 协作数据Id转字符 ([2ac4773](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/2ac4773ecd809355f7c67c958be406f91481e652))
* 新增同级或子级节点判断 ([a85a9a2](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a85a9a20f482a8b050e2b952924be6de1eda4b9c))
* 移除光标自动定位功能 ([8a3d127](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8a3d127bd6834e2def39742072d0e68a8c769107))
* 增加图片后需要同步attachments ([4aed87e](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4aed87ecfdbbea9ac8378f0216621140881e428a))
* i要先统计概要节点替换才有效 ([8cbcbe4](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8cbcbe498ab3465376639ad7d3647662dabab5e1))
* IDl转换兼容关联线使用的节点ID ([046d6c7](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/046d6c70310e671e754b80b6d1a2f2df8614e3ba))
* OSS 来源数据ID重写 ([1994452](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/199445227308881a66eda5a0227229701b26d75c))
* OSS 数据节点ID兼容处理 ([a833e16](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a833e16cf623f0eb9896db4c4dac27dcfffc584f))
* update attachments ([969ecbe](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/969ecbea5751ad79aa40e2e69193c8edd2505e59))
* uuid miss ([df4032f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/df4032f19c7c02f482ebd76adf170d5cdaf68855))

## [1.0.0-build.15](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.14...v1.0.0-build.15) (2022-05-06)


### Features

* 移除websocket最大重连次数 ([cb27d5d](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/cb27d5d70cf5bb7c190bf2ac477b844103f6dc91))
* websocket token 缓存两小时 ([9a86240](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/9a8624031760fc0f2e09d242fa21df1494a4f8d9))

## [1.0.0-build.14](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/compare/v1.0.0-build.13...v1.0.0-build.14) (2022-05-06)

## 1.0.0-build.13 (2022-05-05)


### Features

* 大纲事件注册 ([5e9df26](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/5e9df261094648681e566c2d996a38ada3c01e60))
* 断线后可以编辑 ([ef50b19](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/ef50b19d5e1cb9793180b557345f8352f2b51b08))
* 断线状态切换 ([e175d26](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/e175d264954d50f4d229897442505063770d4a65))
* 放开导出docx等文件 ([1f5c78a](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/1f5c78aaf8a25a2d55c15fdfff4c8b3ed956b03a))
* 更新开关逻辑 ([04ddba4](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/04ddba4dd854c8ef5ca9e75137a767c11cc4f620))
* 配置开关 ([9af8b97](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/9af8b972f08ef90f5b97f7260ffed5a8329e7831))
* 强制重连websocket 接口 ([77eeb0a](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/77eeb0a4aef885a2424861c395a5b5d844e31d7a))
* 输入光标可视区计算 ([08f210c](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/08f210c2241e931d444e444aaec4648e1bad93fa))
* 输入位置处理，导出参数 ([08fd229](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/08fd2298735c436d0c0053d4cf4ab595ba839ddc))
* 同步大纲拖拽底层内容 ([4ad4c7f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4ad4c7f283a0023e7c2292a89285aa7e663c0099))
* 协作编辑事件 ([8f33476](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8f334763e8590ef21005f9b127f966184a5cd6ae))
* 协作大纲接口 ([d098c94](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/d098c94f99e24d8951486e09ff42039a6a246065))
* 协作功能 ([544ba84](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/544ba84efd7bc6549d906644fbdf8bb53d41f3cf))
* 新手绘风格及自由拖动节点位置 ([fe4ab28](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/fe4ab28ef8709d4c9e9ef89173c8bf14fe5d5db9))
* 新增最新数据接口 ([14d12b2](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/14d12b22e5acc01661a930707843793ccb2aa37c))
* 样式继承 ([a74e75e](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a74e75e6e552907ffabc12145ce6698a239a5eeb))
* 增加状态变更调用 ([d1d5337](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/d1d5337efcff8ae6654c7a58752fcddd4443277d))
* 增量概要协作适配处理 ([0bfb12f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/0bfb12f06b38de83be79ea6bb3d9b99fa57473fa))
* 只读模式及OSS 保存 ([a00e648](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a00e648627148c4726700c50106584d9b1384afe))
* 自动备份OSS功能 ([f428f14](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/f428f145cdceac1c4011713455fa05a3d723de23))
* 作图区、大纲等首次修改文件名称 ([133e2f7](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/133e2f714b153862a10d8a651bb7a94add436cc0))
* init ([47033b1](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/47033b1244022e2966d254642305ff1f9eccf648))
* ios 键盘起后处理 ([30a651d](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/30a651dbbf1673ede8832bcf07e56f6405c8648d))
* OSS自动保存提示 ([da44792](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/da447923b10c9d9f70843f0de30cdf1eac03d206))


### Bug Fixes

* 大纲编辑无法撤消问题 ([9cf0160](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/9cf016050ce725e14c9ba3671889187b96cdf2a2))
* 导出失败问题 ([141f452](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/141f452b222730ea299a7b1548cf3023f5f90f73))
* 关联级编辑无法撤回问题 ([bec874d](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/bec874d57d761e737e06b3fba08063cb48f8e53d))
* 节点id类型可能为数字的情况 ([b25d835](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/b25d835e83d7918fee2e38ace0740f32fbe56e5f))
* 节点ID为数字无法删除问题 ([05c21a3](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/05c21a3cb7179418d493a6d1313068e9a0aa4e91))
* 数字ID数据需要二次转换兼容处理 ([5a4fdba](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/5a4fdba40475fc1554997917f5f1eda057ae7225))
* 协作数据中的数字ID使用前转字符 ([014d8ac](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/014d8ac84df99e4d49f9fb0ee7589af081a71652))
* 协作数据Id转字符 ([2ac4773](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/2ac4773ecd809355f7c67c958be406f91481e652))
* 新增同级或子级节点判断 ([a85a9a2](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a85a9a20f482a8b050e2b952924be6de1eda4b9c))
* 移除光标自动定位功能 ([8a3d127](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8a3d127bd6834e2def39742072d0e68a8c769107))
* 增加图片后需要同步attachments ([4aed87e](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/4aed87ecfdbbea9ac8378f0216621140881e428a))
* i要先统计概要节点替换才有效 ([8cbcbe4](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/8cbcbe498ab3465376639ad7d3647662dabab5e1))
* IDl转换兼容关联线使用的节点ID ([046d6c7](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/046d6c70310e671e754b80b6d1a2f2df8614e3ba))
* OSS 来源数据ID重写 ([1994452](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/199445227308881a66eda5a0227229701b26d75c))
* OSS 数据节点ID兼容处理 ([a833e16](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/a833e16cf623f0eb9896db4c4dac27dcfffc584f))
* update attachments ([969ecbe](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/969ecbea5751ad79aa40e2e69193c8edd2505e59))
* uuid miss ([df4032f](https://gitlab.kxhz.cc/zhixi/fe/zhixi-app/commit/df4032f19c7c02f482ebd76adf170d5cdaf68855))

## [1.0.0-build.8](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/compare/v1.0.0-build.7...v1.0.0-build.8) (2022-04-21)


### Bug Fixes

* IDl转换兼容关联线使用的节点ID ([046d6c7](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/046d6c70310e671e754b80b6d1a2f2df8614e3ba))
* i要先统计概要节点替换才有效 ([8cbcbe4](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/8cbcbe498ab3465376639ad7d3647662dabab5e1))

## [1.0.0-build.7](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/compare/v1.0.0-build.6...v1.0.0-build.7) (2022-04-19)


### Bug Fixes

* OSS 数据节点ID兼容处理 ([a833e16](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/a833e16cf623f0eb9896db4c4dac27dcfffc584f))
* OSS 来源数据ID重写 ([1994452](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/199445227308881a66eda5a0227229701b26d75c))
* 关联级编辑无法撤回问题 ([bec874d](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/bec874d57d761e737e06b3fba08063cb48f8e53d))
* 协作数据中的数字ID使用前转字符 ([014d8ac](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/014d8ac84df99e4d49f9fb0ee7589af081a71652))
* 数字ID数据需要二次转换兼容处理 ([5a4fdba](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/5a4fdba40475fc1554997917f5f1eda057ae7225))

## [1.0.0-build.6](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/compare/v1.0.0-build.2...v1.0.0-build.6) (2022-04-18)


### Bug Fixes

* 协作数据Id转字符 ([2ac4773](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/2ac4773ecd809355f7c67c958be406f91481e652))
* 大纲编辑无法撤消问题 ([9cf0160](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/9cf016050ce725e14c9ba3671889187b96cdf2a2))
* 移除光标自动定位功能 ([8a3d127](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/8a3d127bd6834e2def39742072d0e68a8c769107))
* 节点ID为数字无法删除问题 ([05c21a3](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/05c21a3cb7179418d493a6d1313068e9a0aa4e91))

## [1.0.0-build.5](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/compare/v1.0.0-build.4...v1.0.0-build.5) (2022-04-16)

## [1.0.0-build.4](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/compare/v1.0.0-build.3...v1.0.0-build.4) (2022-04-16)

## [1.0.0-build.3](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/compare/v1.0.0-build.2...v1.0.0-build.3) (2022-04-16)

## [1.0.0-build.2](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/compare/v1.0.0-build.1...v1.0.0-build.2) (2022-04-15)

## 1.0.0-build.1 (2022-04-15)


### Features

* init ([47033b1](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/47033b1244022e2966d254642305ff1f9eccf648))
* OSS自动保存提示 ([da44792](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/da447923b10c9d9f70843f0de30cdf1eac03d206))
* 作图区、大纲等首次修改文件名称 ([133e2f7](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/133e2f714b153862a10d8a651bb7a94add436cc0))
* 协作功能 ([544ba84](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/544ba84efd7bc6549d906644fbdf8bb53d41f3cf))
* 协作大纲接口 ([d098c94](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/d098c94f99e24d8951486e09ff42039a6a246065))
* 协作编辑事件 ([8f33476](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/8f334763e8590ef21005f9b127f966184a5cd6ae))
* 只读模式及OSS 保存 ([a00e648](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/a00e648627148c4726700c50106584d9b1384afe))
* 同步大纲拖拽底层内容 ([4ad4c7f](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/4ad4c7f283a0023e7c2292a89285aa7e663c0099))
* 增加状态变更调用 ([d1d5337](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/d1d5337efcff8ae6654c7a58752fcddd4443277d))
* 大纲事件注册 ([5e9df26](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/5e9df261094648681e566c2d996a38ada3c01e60))
* 强制重连websocket 接口 ([77eeb0a](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/77eeb0a4aef885a2424861c395a5b5d844e31d7a))
* 放开导出docx等文件 ([1f5c78a](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/1f5c78aaf8a25a2d55c15fdfff4c8b3ed956b03a))
* 断线状态切换 ([e175d26](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/e175d264954d50f4d229897442505063770d4a65))
* 新增最新数据接口 ([14d12b2](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/14d12b22e5acc01661a930707843793ccb2aa37c))
* 新手绘风格及自由拖动节点位置 ([fe4ab28](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/fe4ab28ef8709d4c9e9ef89173c8bf14fe5d5db9))
* 更新开关逻辑 ([04ddba4](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/04ddba4dd854c8ef5ca9e75137a767c11cc4f620))
* 样式继承 ([a74e75e](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/a74e75e6e552907ffabc12145ce6698a239a5eeb))
* 自动备份OSS功能 ([f428f14](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/f428f145cdceac1c4011713455fa05a3d723de23))
* 输入位置处理，导出参数 ([08fd229](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/08fd2298735c436d0c0053d4cf4ab595ba839ddc))
* 输入光标可视区计算 ([08f210c](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/08f210c2241e931d444e444aaec4648e1bad93fa))
* 配置开关 ([9af8b97](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/9af8b972f08ef90f5b97f7260ffed5a8329e7831))


### Bug Fixes

* update attachments ([969ecbe](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/969ecbea5751ad79aa40e2e69193c8edd2505e59))
* uuid miss ([df4032f](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/df4032f19c7c02f482ebd76adf170d5cdaf68855))
* 增加图片后需要同步attachments ([4aed87e](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/4aed87ecfdbbea9ac8378f0216621140881e428a))
* 导出失败问题 ([141f452](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/141f452b222730ea299a7b1548cf3023f5f90f73))
* 新增同级或子级节点判断 ([a85a9a2](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/a85a9a20f482a8b050e2b952924be6de1eda4b9c))
* 节点id类型可能为数字的情况 ([b25d835](http://gitlab.kxhz.cc:8088/zhixi/fe/zhixi-app/commit/b25d835e83d7918fee2e38ace0740f32fbe56e5f))
